<?php

if (!defined('FW')) {
    die('Forbidden');
}
$schedules_list	= array();

if( function_exists('workreap_cron_schedule') ) {
	$schedules		= workreap_cron_schedule();
	
	if( !empty( $schedules ) ) {
		foreach ( $schedules as $key => $val ) {
			$schedules_list[$key]	= $schedules[$key]['display'];
		}
	}
}

$options = array(
    'payment-settings' => array(
        'title' => esc_html__('Payment Settings', 'workreap'),
        'type' => 'tab',
        'options' => array(
            'booking-box' => array(
                'title' => esc_html__('Hiring payment Settings', 'workreap'),
                'type' => 'box',
                'options' => array(
                    'hiring_payment_settings' => array(
                        'type' => 'multi-picker',
                        'label' => false,
                        'desc' => '',
                        'picker' => array(
                            'gadget' => array(
                                'type' => 'switch',
                                'value' => 'disable',
                                'attr' => array(),
                                'label' => esc_html__('Hiring payments?', 'workreap'),
                                'desc' => esc_html__('Enable/Disable hiring payment online.', 'workreap'),
                                'left-choice' => array(
                                    'value' => 'disable',
                                    'label' => esc_html__('Disable', 'workreap'),
                                ),
                                'right-choice' => array(
                                    'value' => 'enable',
                                    'label' => esc_html__('Enable', 'workreap'),
                                ),
                            )
                        ),
                        'choices' => array(
                            'enable' => array(
                                'pay' => array(
									'type' => 'multi-picker',
									'label' => false,
									'desc' => '',
									'picker' => array(
										'type' => array(
											'label' => esc_html__('Hiring payments type', 'workreap'),
											'type' => 'select',
											'value' => 'no-repeat',
											'desc' => esc_html__('Select your hiring payment process.', 'workreap'),
											'help' => esc_html__('', 'workreap'),
											'choices' => array(
												'woo' 			=> esc_html__('Online WooCommerce', 'workreap'),
												'offline_woo' 	=> esc_html__('Offline WooCommerce', 'workreap')
											),
										),
									),
									'choices' => array(
										'woo' => array(),
										
									),
								),
                            ),
                            'default' => array(),
                        ),
                        'show_borders' => false,
                    ),
					'min_amount' => array(
						'type' => 'text',
						'label' => esc_html__('Minimum withdraw amount', 'workreap'),
						'desc' => esc_html__('Add minimum amount to process wallet.', 'workreap'),
					),
					'hide_wallet' => array(
						'type' => 'hidden',
						'value' => 'no',
						'attr' => array(),
						'label' => esc_html__('Hide wallet?', 'workreap'),
						'desc' => esc_html__('Hide or show wallet system from users dashboard and from admin side.Hiring payments will work as it is but wallet system will not display in users dashboard.', 'workreap'),
						'left-choice' => array(
							'value' => 'yes',
							'label' => esc_html__('Yes', 'workreap'),
						),
						'right-choice' => array(
							'value' => 'no',
							'label' => esc_html__('No', 'workreap'),
						),
					),
					'service_fee' => array(
						'type' => 'slider',
						'value' => 20,
						'properties' => array(
							'min' => 0,
							'max' => 100,
							'sep' => 1,
						),
						'desc' => esc_html__('Select commission in percentage ( % ) for projects, set it to 0 to make commission free website', 'workreap'),
						'label' => esc_html__('Commission for projects', 'workreap'),
					),
					'service_commision' => array(
						'type' => 'slider',
						'value' => 20,
						'properties' => array(
							'min' => 0,
							'max' => 100,
							'sep' => 1,
						),
						'desc' => esc_html__('Select commission in percentage ( % ) for services, set it to 0 to make commission free website', 'workreap'),
						'label' => esc_html__('Commission for services', 'workreap'),
					),
					'cron_interval' => array(
						'label'   		=> esc_html__( 'Cron job interval', 'workreap' ),
						'desc'   		=> esc_html__( 'Select interval for payouts.', 'workreap' ),
						'type'    		=> 'select',
						'value'    		=> 'basic',
						'choices' 		=> $schedules_list
					),
					'payouts_methods' => array(
                        'label' => esc_html__('Payout method', 'workreap'),
						'type' => 'multi-select',
						'value' => array( 'paypal', 'bacs','payoneer' ),
						'desc' => esc_html__('Select payout method to show in freelancer and employer dashboard. Leave it empty to show all', 'workreap'),
						'choices' => array(
							'paypal' 			=> esc_html__('PayPal', 'workreap'),
							'bacs' 				=> esc_html__('Direct Bank Transfer (BACS)', 'workreap'),
							'payoneer' 			=> esc_html__('Payoneer', 'workreap')
						),
                    ),
					'allow_freelancers_withdraw' => array(	
						'label' => esc_html__('Allow withdraw', 'workreap'),
						'type' 	=> 'select',
						'value' => 'freelancers',
						'desc' 	=> esc_html__('Either enable to allow the users to create a withdrawal request from front-end or only admin can generate withdrawal from back-end by using CRON JOB', 'workreap'),
						'choices' => array(
							'freelancers' 	=> esc_html__('Allow users', 'workreap'),
							'admin' 		=> esc_html__('By admin', 'workreap'),
						)
					),
					'bank_transfer_fields' => array(
                        'label' => esc_html__('Bank transfer fields', 'workreap'),
						'type' => 'multi-select',
						'desc' => esc_html__('In case of bank transfer, you can remove from available fields. select to remove fields.', 'workreap'),
						'choices' => array(
							'bank_account_name'		=> esc_html__('Bank Account Name','workreap'),
							'bank_name'				=> esc_html__('Bank Name','workreap'),
							'bank_routing_number'	=> esc_html__('Bank Routing Number','workreap'),
							'bank_iban'				=> esc_html__('Bank IBAN','workreap'),
							'bank_bic_swift'		=> esc_html__('Bank BIC/SWIFT','workreap'),
						),
                    ),
                )
            ),
        )
    )
);
